<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no">
    <title>适配-transform-scale</title>
    <style>
        .content-wrap{
            display: flex;
        }
        .content{
            flex: 1;
            background-color: #999;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 2rem;
            border: 0.01rem solid;
        }
        .a{
            background-color: red;
            width: 0.3rem;
            height: 0.3rem;
        }
    </style>
</head>
<body>
    <div class="content-wrap">
        <div class="content">
            <div class="a"></div>
        </div>
        <div class="content">
            <div class="a"></div>
        </div>
        <div class="content">
            <div class="a"></div>
        </div>
    </div>
    <script>
        window.onload=function(){
            var designWidth = 1920, rem2px = 100;
            var html = document.querySelector("html");
            var htmlFontSize = parseFloat(window.getComputedStyle(html, null).getPropertyValue('font-size'));
            function refreshRem() {
                html.style.fontSize = html.getBoundingClientRect().width / designWidth * rem2px / htmlFontSize * 100 + '%';
            }
            refreshRem();
            window.addEventListener("resize", function(){
                refreshRem();
            });
        }
    </script>
</body>
</html>